package com.ruoyi.app.service;

import com.ruoyi.app.domain.AppLocation;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface IAppLocationService {
    /**
     * 查询【请填写功能名称】
     *
     * @param locationId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    AppLocation selectAppLocationByLocationId(String locationId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appLocation 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<AppLocation> selectAppLocationList(AppLocation appLocation);

    /**
     * 新增【请填写功能名称】
     *
     * @param appLocation 【请填写功能名称】
     * @return 结果
     */
    int insertAppLocation(AppLocation appLocation);

    /**
     * 批量保存数据
     *
     * @param appLocationList 数据列表
     * @return 结果
     */
    int insertAppLocationBatch(List<AppLocation> appLocationList);

    /**
     * 修改【请填写功能名称】
     *
     * @param appLocation 【请填写功能名称】
     * @return 结果
     */
    int updateAppLocation(AppLocation appLocation);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param locationIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    int deleteAppLocationByLocationIds(String[] locationIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param locationId 【请填写功能名称】主键
     * @return 结果
     */
    int deleteAppLocationByLocationId(String locationId);

    /**
     * 请求库位
     *
     * @param equipmentId 设备号
     * @return 库位
     */
    AppLocation requestLocation(int equipmentId);

    String sendLocation();

    Map<String, Integer> countAvailable();

    /**
     * 修改禁用启用状态
     *
     * @param locationIds
     * @return
     */
    void changeIsEnableStatus(String[] locationIds);

    List<AppLocation> selectFreeLoc();
}
